
download_command = 'powershell -Command "Invoke-WebRequest -Uri https://www.wien.gv.at/stadtentwicklung/energie/ogd/bevoelkerungbl2021.csv -OutFile C:\Users\sarah\Documents\bp\bevoelkerung123.csv"'
address system download_command

-- Warte kurz, um sicherzustellen, dass der Download abgeschlossen ist
call SysSleep 5

-- Starte Excel
excel = .OLEObject~new("Excel.Application")
excel~Visible = .true

-- ffne die heruntergeladene CSV-Datei
csvFilePath = "C:\Users\sarah\Documents\bp\bevoelkerung123.csv"
workbook = excel~Workbooks~Open(csvFilePath)
sheet = workbook~Worksheets(1)

-- Starte Word
word = .OLEObject~new("Word.Application")
word~Visible = .true

-- Erstelle ein neues Word-Dokument
wordDocument = word~Documents~Add

-- Definiere die relevanten Spalten
columnYear = 6  -- Jahr
columnState = 8  -- Bundesland
columnPopulation = 9  -- Bevlkerung

-- Finde die letzte Zeile mit Daten
lastRow = sheet~UsedRange~Rows~Count

-- Sammle und markiere Bevlkerungsdaten fr 2021 und 2022
populationData = .Directory~new
do rowIndex = 2 to lastRow
    year = sheet~Cells(rowIndex, columnYear)~Value
    state = sheet~Cells(rowIndex, columnState)~Value
    populationString = sheet~Cells(rowIndex, columnPopulation)~Value

    if year == 2021 | year == 2022 then do
        -- Markiere die Zeile in Gelb
        sheet~Rows(rowIndex)~Interior~Color = 65535
        if populationData[state] == .nil then
            populationData[state] = .Directory~new
     
        populationData[state][year] = numericPopulation
    end
    else do
        -- Blende andere Zeilen aus
        sheet~Rows(rowIndex)~Hidden = .true
    end
end

-- Hauptberschrift
wordDocument~Content~Font~Name = "Arial"
wordDocument~Content~Font~Size = 14
wordDocument~Content~Paragraphs(1)~Format~Alignment = 1  -- Zentriert
wordDocument~Content~Text = "Bevlkerungszahlen und Immobilienmarkt-Abschtzung" || .EndOfLine || .EndOfLine

-- Sammle Bevlkerungsdaten und fge formatierte berschriften fr jedes Bundesland hinzu
previousState = ""
do rowIndex = 2 to lastRow
    year = sheet~Cells(rowIndex, columnYear)~Value
    state = sheet~Cells(rowIndex, columnState)~Value
    population = sheet~Cells(rowIndex, columnPopulation)~Value

    if year == 2021 | year == 2022 then do
        if state \= previousState then do
            -- Fge eine formatierte berschrift fr das neue Bundesland hinzu
            wordDocument~Content~InsertAfter(.EndOfLine || state || .EndOfLine)
            currentParagraph = wordDocument~Content~Paragraphs(wordDocument~Content~Paragraphs~Count)
            currentParagraph~Format~Alignment = 1  -- Zentriert
            currentParagraph~Format~SpaceAfter = 12
            currentParagraph~Range~Font~Bold = .true
            previousState = state
        end
        -- Fge Bevlkerungsdaten in normaler Schriftgre hinzu
        wordDocument~Content~Font~Size = 11
        wordDocument~Content~InsertAfter("Jahr: " || year || ", Bevlkerung: " || population || .EndOfLine)
    end
end

-- Speichere das Word-Dokument
wordDocumentPath = "C:\Users\sarah\Documents\bp\bevoelkerung_info_neu.docx"
wordDocument~SaveAs(wordDocumentPath)


